1. Equipment
Einpix API documentation
  • Changelog
  • About
  • API
    • Task
      • Create
      • List
      • Detail
      • Change status
    • Checklist
      • By task
    • Client
      • Create
      • Update
      • List
      • Detail
    • User
      • List
      • Detail
    • Venue
      • Create
      • List
      • Detail
    • Category
      • Task
        • List
        • Detail
      • Equipment
        • List
    • Tag
      • List
      • Detail
    • Template
      • Checklist
        • List
        • Detail
    • Equipment
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
      • Change picture
        PUT
      • Remove picture
        DELETE
      • Add attachments
        POST
      • Remove attachments
        POST
      • List
        GET
      • List by category
        GET
      • Detail
        GET
    • Comment
      • Create
      • Detail
      • List
    • Worklog
      • List
      • Hisory
    • Materials
      • By task
    • Service
      • By task
    • Webhook
      • List
      • Create
      • Delete
      • Update
  • Schemas
    • User
    • Venue
    • Task
    • Task comment
    • Tag
    • Task category
    • Picture
    • Check item
    • Equipment category
    • Equipment
    • Client
    • Task severity
    • Attachment
    • Changed log
    • User group
    • WDJ material
    • Unit master
    • WDJ service
    • Worklog History
    • CountryEnum
    • Checklist template
    • Worklog
    • Activity task
    • Downtime task
    • Sla rule
    • Webhook action
    • Webhook
    • WebhookEnumm
  1. Equipment

Update

PUT
equipments/{id}
This API endpoint allows you to update an equipment record within an organization. It updates the equipment's identification, technical, and financial information, including title, SKU, serial number, brand, model, purchase date, warranty date, install date, price, cost, and service cost. The equipment is assigned to a venue (required) and can optionally be linked to an assignee, category, and client. The equipment is associated with the authenticated user's organization, and creation is subject to organizational permissions and validation rules.

Request

Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "title": "string",
    "brand_name": "string",
    "model_name": "string",
    "sku": "string",
    "serial_number": "string",
    "purchase_date": "string",
    "guarantee_warranty_date": "string",
    "install_date": "string",
    "cost": "string",
    "price": "string",
    "service_cost": "string",
    "notes": "string",
    "search_keywords": "string",
    "is_active": true,
    "is_visible_to_client": false,
    "is_visible_to_supplier": false,
    "venue": 0,
    "client": "string",
    "assignee": 0,
    "category": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.einpix.com/public/v1/equipments/' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "title": "string",
    "brand_name": "string",
    "model_name": "string",
    "sku": "string",
    "serial_number": "string",
    "purchase_date": "string",
    "guarantee_warranty_date": "string",
    "install_date": "string",
    "cost": "string",
    "price": "string",
    "service_cost": "string",
    "notes": "string",
    "search_keywords": "string",
    "is_active": true,
    "is_visible_to_client": false,
    "is_visible_to_supplier": false,
    "venue": 0,
    "client": "string",
    "assignee": 0,
    "category": "string"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "success": true,
    "id": "string"
}
Modified at 2026-03-17 06:55:03
Previous
Create
Next
Delete
Built with